List all rooms of a center

This API helps you to retrieve all the rooms that are active in the center.

You must specify the unique identifier of the center as center_id in the API request.
You can also leverage the pagination feature by passing page and size query parameters if you have a large number of records to be displayed. By default, page is set as 1 and size is set as 10. size cannot be more than 100: which means that the maximum records per page cannot be more than 100.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Details

NameTypeDescription
roomsobjectObject that contains all the rooms-related elements.
errorobjectObject that contains error message and error code details. For more information, refer to the error Object table.

error Object

codemessage
401Authorization has been denied for this request.
502invalid center_id.
400The request is invalid.
Path Params
string
required

Mandatory Unique 32-character identifier of the center.

Query Params
int32
Defaults to 1

Optional Number of the display page. Default value is 1.

int32
Defaults to 10

Optional Number of records per page. Default value is 10.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json